# Prose is a programming language, fight me
{ pkgs, lib, config, ... }:
{
  config = lib.mkIf config.frogeye.dev.prose {
    home = {
      packages = with pkgs; [
        hunspell
        hunspellDicts.en_GB-ize
        hunspellDicts.en_US
        hunspellDicts.fr-moderne
        hunspellDicts.nl_NL
        # TODO libreoffice-extension-languagetool or libreoffice-extension-grammalecte-fr
      ];
    };
    programs.nixvim.plugins.none-ls = {
      enable = true;
      sources = {
        code_actions.ltrs.enable = true;
        diagnostics.ltrs.enable = true;
      };
    };
  };
}
